image: node:22

pages:
  stage: deploy
  script:
    - npm install
    - npm run docusaurus gen-api-docs api
    - npm run build
    - cp -r static/* build/
    - mv build public
  artifacts:
    paths:
      - public
  only:
    - main
